### Function

# EBookContacts VCardVersion from_string

since: 3.60

#### Declaration [src]

    EVCardVersion
    e_vcard_version_from_string (
      const gchar* str
    )

#### Description [src]

Converts the `str` into one of the `EVCardVersion`. If the string does not match any of the known values the `E_VCARD_VERSION_UNKNOWN` is returned.

Available since: 3.60

#### Parameters

`str`

  Type: `const gchar*`

  A version string, like “4.0”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EVCardVersion`

An `EVCardVersion` corresponding to `str`, or `E_VCARD_VERSION_UNKNOWN`.